Name:           perl-Parse-Yapp
Summary:        Perl extension for generating and using LALR parsers
Version:        1.21
Release:        5
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Parse-Yapp
Source0:        https://cpan.metacpan.org/authors/id/W/WB/WBRASWELL/Parse-Yapp-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  coreutils make perl-generators perl-interpreter perl(vars)
BuildRequires:  perl(Carp) perl(ExtUtils::MakeMaker) >= 6.76 perl(strict)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Parse::Yapp (Yet Another Perl Parser compiler) is a collection of modules that
let you generate and use yacc like thread safe (reentrant) parsers with perl
object oriented interface.  The script yapp is a front-end to the Parse::Yapp
module and let you easily create a Perl OO parser from an input grammar file.

%package_help

%prep
%autosetup -p1 -n Parse-Yapp-%{version}
chmod 644 README lib/Parse/{*.pm,Yapp/*.pm}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
chmod -R u+w %{buildroot}/*

%check
make test

%files
%{_bindir}/yapp
%{perl_vendorlib}/Parse/

%files help
%doc Changes README
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*

%changelog
* Tue Dec 3 2019 caomeng<caomeng5@huawei.com> - 1.21-5
- Package init